spim_8.0+dfsg-6_i386.deb


Advertisement

Description

spim - MIPS R2000/R3000 emulator

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: spim
Package version: 8.0+dfsg
Package release: 6
Package architecture: i386
Package type: deb
Installed size: 548 B
Download size: 243.67 KB
Official Mirror: archive.ubuntu.com
Emulates a MIPS R2000/R3000 processor in software. Useful for students who are taught MIPS R2000/R3000 assembly. SPIM S20 is a software simulator that runs assembly language programs for the MIPS R2000/R3000 RISC computers. SPIM can read and immediately run files containing assembly language statements. SPIM is a self-contained system for running these programs and contains a debugger and interface to the operating system.

Alternatives

    Download

    Binary package: spim_8.0+dfsg-6_i386.deb
    Source package: spim

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install spim deb package:
      # sudo apt-get install spim

    Files

    • /usr/bin/spim
    • /usr/bin/xspim
    • /usr/lib/spim/exceptions.s
    • /usr/share/applications/xspim.desktop
    • /usr/share/doc-base/spim-doc
    • /usr/share/doc/spim/BLURB
    • /usr/share/doc/spim/README.gz
    • /usr/share/doc/spim/SPIM.html
    • /usr/share/doc/spim/changelog.Debian.gz
    • /usr/share/doc/spim/copyright
    • /usr/share/doc/spim/spim.ps.gz
    • /usr/share/man/man1/spim.1.gz
    • /usr/share/man/man1/xspim.1.gz
    • /usr/share/menu/spim
    • /usr/share/pixmaps/xspim.svg

    Changelog

    2013-11-08 - Thorsten Alteholz <debian@alteholz.de> spim (8.0+dfsg-6) unstable; urgency=low * acknowledge NMU * add patch from YunQiang Su <wzssyqa@gmail.com> to make it compile on mips/mipsel (Closes: #726282, #599954) * debian/control: add myself to uploaders * debian/control: bump standard to 3.9.4 (no changes) * debian/control: use dh 9 for hardening flags * debian/control: move VCS-field to alioth * debian/control: add dependency on xfonts-75dpi, xfonts-100dpi (Closes: #670949) * debian/copyright: remove reference to /usr/share/common-licenses/BSD the license text is already listed

    2012-01-30 - gregor herrmann <gregoa@debian.org> spim (8.0+dfsg-5.1) unstable; urgency=low * Non-maintainer upload. * Fix "FTBFS: ../CPU/spim-utils.c:117:7: error: invalid use of void expression": add patch configure-multiarch from Ubuntu / Matthias Klose: - Fix configury with multiarch libc. LP: #756116. Additionally, add versioned build dependency on dpkg-dev. (Closes: #629693)

    2010-04-20 - Jean-Christophe Dubacq <jcdubacq1@free.fr> spim (8.0+dfsg-5) unstable; urgency=low * Remove nonsensical recommends (thanks Piotr Engelking)(closes: #578484) * Add description to "hyphens" patch * Add VCS-* headers

    2010-04-15 - Jean-Christophe Dubacq <jcdubacq1@free.fr> spim (8.0+dfsg-4) unstable; urgency=low * Fix debian/watch * Add get-orig-source target

    2010-04-13 - Jean-Christophe Dubacq <jcdubacq1@free.fr> spim (8.0+dfsg-3) unstable; urgency=low * Change orig mangling scheme * Small cleanups (lintian-clean) * Patch manpages for hyphens * Extend long description

    2010-04-12 - Jean-Christophe Dubacq <jcdubacq1@free.fr> spim (8.0+dfsg-2) unstable; urgency=low * Integration of changes by Mackenzie Morgan <maco.m@ubuntu.com> * Add .desktop and icons * Fresh upload to debian. Closes: #577087.

    2010-04-09 - Jean-Christophe Dubacq <jcdubacq1@free.fr> spim (8.0+dfsg-1) unstable; urgency=low * New upstream release - New license (non-free to BSD) - Fixes bug with input reading - Clean up stack alignment - Fixes problems with new versions of flex * Remove cycle.ps from Documentation (no source available) * Now under a free license * Completely new packaging after removal from debian. * Changelog kept for historical reasons.

    2006-09-26 - Margarita Manterola <marga@debian.org> spim (7.3-1) unstable; urgency=low * QA upload. * New upstream release - Fixes "hanging" when starting. (Closes: #369533)

    2006-05-16 - Matej Vela <vela@debian.org> spim (7.2.1-1) unstable; urgency=low * QA upload. * New upstream release. * Package is orphaned (#354501); set maintainer to Debian QA Group. * Acknowledge NMU. Closes: #326097, #346936, #349389. * Add a build dependency on bison. * Change priority to extra in accordance with the override file. * Install upstream changelog. * Switch to debhelper 5. * spim/Makefile: Allow optimization flags to be overridden. * debian/rules: - Add support for DEB_BUILD_OPTIONS=noopt. - Use dh_install rather than (buggy) upstream Makefiles. * debian/watch: Add. * Conforms to Standards version 3.7.2.

    2006-01-22 - Steinar H. Gunderson <sesse@debian.org> spim (7.1-1.1) unstable; urgency=low * Non-maintainer upload. * Replace build-dependency on xlibs-dev with an explicit build-dependency on each required package. (Closes: #346936) * Don't re-declare static variables as non-static; fixes FTBFS on gcc-4.0, patch from Andreas Jochens. (Closes: #326097)

    Advertisement
    Advertisement